Bug 1904874 - Review Request: R-parallelly - Enhancing the 'parallel' Package
Summary: Review Request: R-parallelly - Enhancing the 'parallel' Package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1893975
TreeView+ depends on / blocked
 
Reported: 2020-12-06 23:04 UTC by Elliott Sales de Andrade
Modified: 2020-12-21 01:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-21 01:32:33 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-12-06 23:04:11 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-parallelly/R-parallelly.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-parallelly/R-parallelly-1.21.0-1.fc32.src.rpm

Description:
Utility functions that enhance the 'parallel' package and support the
built-in parallel backends of the 'future' package.  For example,
availableCores() gives the number of CPU cores available to your R process
as given by R options and environment variables, including those set by job
schedulers on high-performance compute clusters. If none is set, it will
fall back to parallel::detectCores(). Another example is
makeClusterPSOCK(), which is backward compatible with
parallel::makePSOCKcluster() while doing a better job in setting up remote
cluster workers without the need for configuring the firewall to do port-
forwarding to your local computer.

Comment 1 Elliott Sales de Andrade 2020-12-06 23:04:42 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=56928212

Comment 2 José Matos 2020-12-10 11:45:28 UTC
The package is simple.

The license is correct and appropriated for Fedora.
The spec file follows the Fedora package guidelines.

Package is approved.

Comment 3 Elliott Sales de Andrade 2020-12-11 09:18:26 UTC
Thank you for the review,José Matos

https://pagure.io/releng/fedora-scm-requests/issue/31301

Comment 4 Igor Raits 2020-12-11 10:31:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-parallelly

Comment 5 Fedora Update System 2020-12-12 21:57:46 UTC
FEDORA-2020-b93a03c4f0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b93a03c4f0

Comment 6 Fedora Update System 2020-12-12 21:57:48 UTC
FEDORA-2020-2984c66917 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2984c66917

Comment 7 Fedora Update System 2020-12-13 02:41:35 UTC
FEDORA-2020-b93a03c4f0 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b93a03c4f0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b93a03c4f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-13 03:00:06 UTC
FEDORA-2020-2984c66917 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2984c66917`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2984c66917

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-12-21 01:32:33 UTC
FEDORA-2020-2984c66917 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-12-21 01:35:35 UTC
FEDORA-2020-b93a03c4f0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.